<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Building/Underground/Entrance/Land_Underground_Panel_Lever.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d9e/_land___underground___panel___lever_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Land_Underground_Panel_Lever.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d9e/_land___underground___panel___lever_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d5/d00/class_land___underground___panel___lever.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/d00/class_land___underground___panel___lever.html">Land_Underground_Panel_Lever</a> : <a class="code hl_function" href="../../dc/d7a/_land___underground___panel_8c.html#a393bea3350b27d48372aa0a9fe9f0f60">Land_Underground_Panel</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d5/d00/class_land___underground___panel___lever.html#a96c9582ce75bebd40f3d9f0dfe350a4e">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d00/class_land___underground___panel___lever.html#a96c9582ce75bebd40f3d9f0dfe350a4e">SetActions</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        super.SetActions();</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d9/d5c/class_action_use_underground_lever.html">ActionUseUndergroundLever</a>);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d5/d00/class_land___underground___panel___lever.html#a8c50dc5d7bbfa0b04fc5613796853b02">   10</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d00/class_land___underground___panel___lever.html#a8c50dc5d7bbfa0b04fc5613796853b02">ResetPhase</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> target)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        target.SetAnimationPhaseNow(<span class="stringliteral">&quot;PanelLever&quot;</span>, 0);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d5/d00/class_land___underground___panel___lever.html#a476169ac6f9406877e36720b3fb23d96">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d00/class_land___underground___panel___lever.html#a476169ac6f9406877e36720b3fb23d96">OnPanelUsedSynchronized</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        super.OnPanelUsedSynchronized();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        SetAnimationPhase(<span class="stringliteral">&quot;PanelLever&quot;</span>, 1);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">GetCallQueue</a>( <a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaaf491f3ecd1d9aefb35a16bf96ca420c">CALL_CATEGORY_SYSTEM</a> ).<a class="code hl_function" href="../../dc/dac/class_script_call_queue.html#abe764b22b6eee91d169f3f5996fe0c3d">CallLater</a>( <a class="code hl_function" href="../../d5/d00/class_land___underground___panel___lever.html#a8c50dc5d7bbfa0b04fc5613796853b02">ResetPhase</a>, 3000, <span class="keyword">false</span>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_function" href="../../dc/d7a/_land___underground___panel_8c.html#ac4f2e6d2c0b6a1e35acf7905c4fc7f55">OnLEDStateChanged</a>();</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d5/d00/class_land___underground___panel___lever.html#a41b473cf49db71a93ade1fe202c67544">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d00/class_land___underground___panel___lever.html#a41b473cf49db71a93ade1fe202c67544">Interact</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        super.Interact();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a7a3b454f0864f35869812abeb395755a">RegisterNetworkStaticObject</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a7a3b454f0864f35869812abeb395755a">RegisterNetworkStaticObject</a>(<a class="code hl_function" href="../../dc/d7a/_land___underground___panel_8c.html#ac880e66c246644e2d6c3f354603136fa">GetLinkedDoor</a>());</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>}</div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="a_land___underground___panel_8c_html_a393bea3350b27d48372aa0a9fe9f0f60"><div class="ttname"><a href="../../dc/d7a/_land___underground___panel_8c.html#a393bea3350b27d48372aa0a9fe9f0f60">Land_Underground_Panel</a></div><div class="ttdeci">void Land_Underground_Panel()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d7a/_land___underground___panel_8c_source.html#l00038">Land_Underground_Panel.c:38</a></div></div>
<div class="ttc" id="a_land___underground___panel_8c_html_ac4f2e6d2c0b6a1e35acf7905c4fc7f55"><div class="ttname"><a href="../../dc/d7a/_land___underground___panel_8c.html#ac4f2e6d2c0b6a1e35acf7905c4fc7f55">OnLEDStateChanged</a></div><div class="ttdeci">void OnLEDStateChanged()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d7a/_land___underground___panel_8c_source.html#l00205">Land_Underground_Panel.c:205</a></div></div>
<div class="ttc" id="a_land___underground___panel_8c_html_ac880e66c246644e2d6c3f354603136fa"><div class="ttname"><a href="../../dc/d7a/_land___underground___panel_8c.html#ac880e66c246644e2d6c3f354603136fa">GetLinkedDoor</a></div><div class="ttdeci">Land_Underground_EntranceBase GetLinkedDoor()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d7a/_land___underground___panel_8c_source.html#l00133">Land_Underground_Panel.c:133</a></div></div>
<div class="ttc" id="aclass_action_use_underground_lever_html"><div class="ttname"><a href="../../d9/d5c/class_action_use_underground_lever.html">ActionUseUndergroundLever</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d31/_action_use_underground_lever_8c_source.html#l00001">ActionUseUndergroundLever.c:2</a></div></div>
<div class="ttc" id="aclass_c_game_html_a53af342998a36596f46c4e67a2517f4e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">CGame::GetCallQueue</a></div><div class="ttdeci">ScriptCallQueue GetCallQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01318">Game.c:1318</a></div></div>
<div class="ttc" id="aclass_c_game_html_a7a3b454f0864f35869812abeb395755a"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a7a3b454f0864f35869812abeb395755a">CGame::RegisterNetworkStaticObject</a></div><div class="ttdeci">proto native bool RegisterNetworkStaticObject(Object object)</div><div class="ttdoc">Static objects cannot be replicated by default (there are too many objects on the map)....</div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_land___underground___panel___lever_html"><div class="ttname"><a href="../../d5/d00/class_land___underground___panel___lever.html">Land_Underground_Panel_Lever</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d9e/_land___underground___panel___lever_8c_source.html#l00001">Land_Underground_Panel_Lever.c:2</a></div></div>
<div class="ttc" id="aclass_land___underground___panel___lever_html_a41b473cf49db71a93ade1fe202c67544"><div class="ttname"><a href="../../d5/d00/class_land___underground___panel___lever.html#a41b473cf49db71a93ade1fe202c67544">Land_Underground_Panel_Lever::Interact</a></div><div class="ttdeci">override void Interact()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d9e/_land___underground___panel___lever_8c_source.html#l00023">Land_Underground_Panel_Lever.c:23</a></div></div>
<div class="ttc" id="aclass_land___underground___panel___lever_html_a476169ac6f9406877e36720b3fb23d96"><div class="ttname"><a href="../../d5/d00/class_land___underground___panel___lever.html#a476169ac6f9406877e36720b3fb23d96">Land_Underground_Panel_Lever::OnPanelUsedSynchronized</a></div><div class="ttdeci">override void OnPanelUsedSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d9e/_land___underground___panel___lever_8c_source.html#l00015">Land_Underground_Panel_Lever.c:15</a></div></div>
<div class="ttc" id="aclass_land___underground___panel___lever_html_a8c50dc5d7bbfa0b04fc5613796853b02"><div class="ttname"><a href="../../d5/d00/class_land___underground___panel___lever.html#a8c50dc5d7bbfa0b04fc5613796853b02">Land_Underground_Panel_Lever::ResetPhase</a></div><div class="ttdeci">void ResetPhase(EntityAI target)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d9e/_land___underground___panel___lever_8c_source.html#l00010">Land_Underground_Panel_Lever.c:10</a></div></div>
<div class="ttc" id="aclass_land___underground___panel___lever_html_a96c9582ce75bebd40f3d9f0dfe350a4e"><div class="ttname"><a href="../../d5/d00/class_land___underground___panel___lever.html#a96c9582ce75bebd40f3d9f0dfe350a4e">Land_Underground_Panel_Lever::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d9e/_land___underground___panel___lever_8c_source.html#l00003">Land_Underground_Panel_Lever.c:3</a></div></div>
<div class="ttc" id="aclass_script_call_queue_html_abe764b22b6eee91d169f3f5996fe0c3d"><div class="ttname"><a href="../../dc/dac/class_script_call_queue.html#abe764b22b6eee91d169f3f5996fe0c3d">ScriptCallQueue::CallLater</a></div><div class="ttdeci">proto void CallLater(func fn, int delay=0, bool repeat=false, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</div><div class="ttdoc">adds call into the queue with given parameters and arguments (arguments are held in memory until the ...</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___tools_html_gaaf491f3ecd1d9aefb35a16bf96ca420c"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gaaf491f3ecd1d9aefb35a16bf96ca420c">CALL_CATEGORY_SYSTEM</a></div><div class="ttdeci">const int CALL_CATEGORY_SYSTEM</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00008">tools.c:8</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_5a21421794a69364d22c458d6ab4c91b.html">Building</a></li><li class="navelem"><a class="el" href="../../dir_49453ea9609d0ba23d51c545b2e4529b.html">Underground</a></li><li class="navelem"><a class="el" href="../../dir_8cd4a5301e0df7cc1258c013654186df.html">Entrance</a></li><li class="navelem"><a class="el" href="../../d5/d9e/_land___underground___panel___lever_8c.html">Land_Underground_Panel_Lever.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
